//========================================================================================
// TI Calculator File Support Framework
//
// TI API Selectors - To be included in "main" application support modules
// that use the TI File Support libraries.
// 2001-2003 by Texas Instruments Incorporated
// All Rights Reserved.
//
// Software Design: Stephen L. Reid (MGTS)
// OS X Framework : 02 Sept 2002
//
//========================================================================================
//
//========================================================================================
// TI File Support Shared Library: function "selectors"
//========================================================================================

#ifndef __TI_FILE_API_SEL__
#define __TI_FILE_API_SEL__


enum TIFileSelector {
	TIFS_NO_SELECTOR	 = 0,
// general file read/write routines (auto opens/creates/read/write/close file)
	TIFS_READ_FILE		 = 1,
	TIFS_IDENTIFY_FILE,
	TIFS_WRITE_FILE,
	TIFS_RELEASE_DESCRIPTORS,
        
// parameter block and datalist manipulation routines
    TIFS_GET_NEW_PARAMETERBLOCK = 200,
    TIFS_DESTROY_PARAMETERBLOCK,
    TIFS_INITIALIZE_PB,
    TIFS_DETERMINE_EXTENSION,
        
	TIFS_ENUMMAXVALUE = 65535
	
};

typedef enum TIFileSelector TIFileSelector;
//========================================================================================
#endif
