//
//  TISendPanel.h
//  TIAppKit
//
//  Created by otusweb on Thu Feb 19 2004.
//  Copyright (c) 2004 Texas Instruments Inc.. All rights reserved.
//
//Feb 2010: Changes Made by a0869729 (Srinath Madas) as part of Issue id 83322 for deprecated symbols on 10.6
//Mar 2010: Changes Made by a0869729 (Srinath Madas) as part of Issue id 83322 for deprecated symbols on 10.6

#import <AppKit/AppKit.h>
#import "TINavPanel.h"

@interface TISendPanel : TINavPanel
{
    IBOutlet NSComboBox *nameCombo;
	IBOutlet NSBox	*accessoryViewContainer;
    NSArray *possibleFileName;
    NSArray *possibleNonHumanReadableDeviceKind;
    NSString* fileNameEntered;
	NSView *accessoryView;
}

	/*"Actions"*/
- (IBAction) showCharacterPalette: (id) sender;

	/*"Accessors"*/
- (id) computerToSendTo;
- (void) setComputerToSendTo:(id)newComputerToSendTo;
- (NSArray *) possibleFileName;
- (void) setPossibleFileName:(NSArray *)newPossibleFileName;
- (NSString*) fileName;
//- (void) setFileName:(NSString*)newFileName;
- (void)setFileURL:(NSURL *)newURL;
- (NSView *) accessoryView;
- (void) setAccessoryView:(NSView *)newAccessoryView;
- (NSArray *) possibleNonHumanReadableDeviceKind;
- (void) setPossibleNonHumanReadableDeviceKind:(NSArray *)newPossibleNonHumanReadableDeviceKind;

@end

@interface NSObject (TISendPanelDelegate)
- (BOOL)TISendPanel: (TISendPanel*) panel isValidFileName: (NSString*) nameTypedIn;
@end

