//
//  TILoginOperation.h
//  Device Explorer
//
//  Created by otusweb on Fri May 30 2003.
//  Copyright (c) 2003 Texas Instruments Incorporated. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "TIComOperation.h"

@interface TILoginOperation : TIComOperation
{
    NSArray *deviceToLogin;
    NSMutableArray *remainingDevice;
}
- (id) initWithCalculatorDevice: (NSArray*) inItemsToLogin
sendingCompletionCallTo: (id) inTarget
           withOption: (NSString*) inOption;
+ (id) loginOperationWithDevice: (NSArray*) inItemsToLogin
        sendingCompletionCallTo: (id) inTarget
                     withOption: (NSString*) inOption;
- (NSArray *) deviceToLogin;

- (void) deviceReturnLogin: (TIDevice*) loggedInDevice withError:(NSInteger) inErro;

@end
