//
//  RRPosition.h
//  
//
//  Created by Timothy Ritchey on Tue Feb 19 2002.
//  Copyright (c) 2001 Timothy Ritchey. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface RRPosition : NSObject <NSCoding>
{
    NSNumber *row;
    NSNumber *column;
}
+ (RRPosition*)positionForRow:(NSInteger)r column:(NSInteger)c;
+ (RRPosition*) undefinedPosition;
- initWithRow:(NSInteger)r column:(NSInteger)c;
- (id)copyWithZone:(NSZone *)zone;
- (NSInteger)row;
- (void)setRow:(NSInteger)r;
- (NSInteger)column;
- (void)setColumn:(NSInteger)c;
@end

