//
//  TIDocumentController.h
//  Data_Editor
//
//  Created by otusweb on Thu Jan 29 2004.
//  Copyright (c) 2004 Texas Instruments Inc.. All rights reserved.
//

#import <AppKit/AppKit.h>
#import <TIConnectManagerXInteraction/DeviceObject.h>


@interface TIDocumentController : NSDocumentController 
{
	NSString *deviceFileName;
	BOOL alreadyReadDefaults;
}

/*"Actions"*/
- (IBAction) openDocumentFromDevice: (id) sender;
@end

@interface TIDocumentController (private)
- (NSInteger) maxNumberOfRecentItems;
- (TIDeviceObject*) findObjectAtPath: (NSString*)path;
@end

@interface NSDocument (TIDocumentControllerDelegate)
- (BOOL) shouldBeAddedToRecentDocument;
@end