#import <Foundation/NSAppleEventDescriptor.h>
#import <Foundation/Foundation.h>

@interface NSAppleEventDescriptor(TIGetAEDesc)
+ (NSAppleEventDescriptor*) descriptorWithAEDesc: (AEDesc*) inDesc;
- (NSNumber*) getTransactionID;
- (NSString*)stringValueWrapper;
- (SInt32)int32ValueWrapper;
- (BOOL) isNullDescriptor;
- (NSString*) enumStringValue;
- (NSAppleEventDescriptor*) forceToList;
+ (NSAppleEventDescriptor*) descriptorWithURL: (NSURL*) inURL;
+ (NSAppleEventDescriptor*) buildAppleEventOfClass: (AEEventClass) inClass
                                       withEventID: (AEEventID) theID
                                       addressType: (DescType) addressType
                                       addressData: (NSData*) addressData
                                        withFormat: (const char *) paramsFmt,...;
+ (NSAppleEventDescriptor*) buildDescriptorWithFormat: (const char *) paramsFmt, ...;
- (NSAppleEventDescriptor*) sendWithTimeout: (NSInteger) timeOut;
- (OSStatus) sendNoReply;
- (id) propertyListFormat;
@end
