//
//  TIDeleteOperation.h
//  Device Explorer
//
//  Created by otusweb on Wed May 07 2003.
//  Copyright (c) 2003 Texas Instruments Incorporated. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "TIComOperation.h"


@interface TIDeleteOperation : TIComOperation
{
    NSArray* itemsToDelete;     /*TIDeviceObject to delete"*/
}

/*"Initializers"*/
- (id) initWithItemsToDelete: (NSArray*) inItemsToDelete
     sendingCompletionCallTo: (id) target
                  withOption: (NSString*) inOption;
+ (id) deleteOperationWithItemsToDelete: (NSArray*) inItemsToDelete
                sendingCompletionCallTo: (id) target
                             withOption: (NSString*) inOption;

/*"Accessors"*/
- (NSArray*) itemsToDelete;


@end
